GET https://api.d-tools.com/SI/Subscribe/TimeSheets?clients[0]={clients[0]}&clients[1]={clients[1]}&includeImported={includeImported}&searchText={searchText}&includeDeleted={includeDeleted}&pageNumber={pageNumber}&pageSize={pageSize}
Get time sheets published by a SI user.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| clients |
Clients to filter time sheets (Optional) |
Collection of string |
None. |
| includeImported |
Boolean. Include already imported time sheets. Optional with default value false which means by default you will only see time sheets which are not imported. |
boolean |
Default value is False |
| searchText |
The search text. |
string |
None. |
| includeDeleted |
Boolean. Include time sheet deleted in SI. Optional with default value false which means by default you will only see active time sheets which are not deleted. |
boolean |
Default value is False |
| pageNumber |
The page number. |
integer |
Default value is 1 |
| pageSize |
The page size. |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
TimeSheetsResult| Name | Description | Type | Additional information |
|---|---|---|---|
| TimeSheets |
Time sheets array |
Collection of TimeSheetInfo |
None. |
| TotalCount |
Total count of time sheet |
integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"TimeSheets": [
{
"Id": "sample string 1",
"Client": "sample string 2",
"Number": "sample string 3",
"ImportedOn": "2026-05-10T10:50:28.2094592+00:00",
"PublishedOn": "2026-05-10T10:50:28.2094592+00:00",
"Deleted": true
},
{
"Id": "sample string 1",
"Client": "sample string 2",
"Number": "sample string 3",
"ImportedOn": "2026-05-10T10:50:28.2094592+00:00",
"PublishedOn": "2026-05-10T10:50:28.2094592+00:00",
"Deleted": true
}
],
"TotalCount": 1
}